"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KagiApi = void 0;
class KagiApi {
    constructor() {
        this.name = 'kagiApi';
        this.displayName = 'Kagi API';
        this.documentationUrl = 'https://github.com/that-one-tom/n8n-nodes-fastgpt/blob/master/README.md';
        this.properties = [
            {
                displayName: 'API Token',
                name: 'apiToken',
                type: 'string',
                default: '',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    'Authorization': '=Bot {{$credentials.apiToken}}'
                }
            },
        };
    }
}
exports.KagiApi = KagiApi;
//# sourceMappingURL=KagiApi.credentials.js.map